micro_utils.dokka
0.15.1

# ExposedReadKeyValuesRepo

open class ExposedReadKeyValuesRepo<Key, Value>(val database: <Error class: unknown class>, keyColumnAllocator: ColumnAllocator<Key>, valueColumnAllocator: ColumnAllocator<Value>, tableName: String? = null) : AbstractExposedReadKeyValuesRepo<Key, Value> , ReadKeyValuesRepo<Key, Value> , ExposedRepo

## Constructors

ExposedReadKeyValuesRepo
Link copied to clipboard
fun ExposedReadKeyValuesRepo(database: <Error class: unknown class>, keyColumnAllocator: ColumnAllocator<Key>, valueColumnAllocator: ColumnAllocator<Value>, tableName: String? = null)

## Functions

contains
Link copied to clipboard
abstract suspend fun contains(k: Key): Boolean
abstract suspend fun contains(k: Key, v: Value): Boolean
count
Link copied to clipboard
abstract suspend fun count(): Long
abstract suspend fun count(k: Key): Long
get
Link copied to clipboard
abstract suspend fun get(k: Key, pagination: Pagination, reversed: Boolean = false): PaginationResult<Value>
getAll
Link copied to clipboard
open suspend fun getAll(reverseLists: Boolean = false): Map<Key, List<Value>>

WARNING!!! THIS METHOD PROBABLY IS NOT EFFICIENT, USE WITH CAUTION

open suspend fun getAll(k: Key, reversed: Boolean = false): List<Value>
keys
Link copied to clipboard
abstract suspend fun keys(pagination: Pagination, reversed: Boolean = false): PaginationResult<Key>
abstract suspend fun keys(v: Value, pagination: Pagination, reversed: Boolean = false): PaginationResult<Key>

## Properties

asId
Link copied to clipboard
open override val <Error class: unknown class>.asId: Key
asKey
Link copied to clipboard
open override val <Error class: unknown class>.asKey: Key
asObject
Link copied to clipboard
open override val <Error class: unknown class>.asObject: Value
database
Link copied to clipboard
open override val database: <Error class: unknown class>
keyColumn
Link copied to clipboard
open override val keyColumn: <Error class: unknown class><Key>
selectAll
Link copied to clipboard
open val selectAll: <Error class: unknown class>.() -> <Error class: unknown class>
selectById
Link copied to clipboard
open override val selectById: <Error class: unknown class>.(Key) -> <Error class: unknown class><Boolean>
selectByIds
Link copied to clipboard
open val selectByIds: <Error class: unknown class>.(List<Key>) -> <Error class: unknown class><Boolean>
selectByValue
Link copied to clipboard
open override val selectByValue: <Error class: unknown class>.(Value) -> <Error class: unknown class><Boolean>
valueColumn
Link copied to clipboard
val valueColumn: <Error class: unknown class><Value>

## Inheritors

ExposedKeyValuesRepo
Link copied to clipboard

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: KVCache<Key, List<Value>>): ReadKeyValuesCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: FullKVCache<Key, List<Value>>): FullReadKeyValuesCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValuesRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValuesRepo<FromKey, FromValue>